/**
 * TenorZwischenablageAction.java
 * eu.gronos.kostenrechner.view.result (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;

import javax.swing.KeyStroke;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.view.result.TenorDialog;

/**
 * Action zum Kopieren des Tenors in die Zwischenablage
 *
 * @author Peter Schuster (setrok)
 * @date 22 Nov 2018
 *
 */
public class RtfZwischenablageAction extends /* AbstractAction */ BeschriebeneAktion {
	private final TenorDialog dialog;
	private static final long serialVersionUID = -1470041456809868231L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param dialog           TODO
	 * @param name
	 * @param shortDescription TODO
	 * @param mnemonic         TODO
	 * @param actionCommandKey TODO
	 * @param acceleratorKey   TODO
	 */
	public RtfZwischenablageAction(TenorDialog dialog, String name, String shortDescription, int mnemonic,
			String actionCommandKey, KeyStroke acceleratorKey) {
		// super(name);
		super(name, shortDescription, mnemonic, actionCommandKey, acceleratorKey);
		this.dialog = dialog;
		// putValue(ACTION_COMMAND_KEY, "copy");
		// putValue(SHORT_DESCRIPTION, "Kopiert den gesamten Tenortext in die
		// Zwischenablage.");
		// putValue(MNEMONIC_KEY, KeyEvent.VK_K);
		// putValue(ACCELERATOR_KEY, KeyEvent.VK_C);
		// putValue(ACCELERATOR_KEY, KeyStroke.getKeyStroke(KeyEvent.VK_C,
		// Kostenrechner.ctrlMask));
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		dialog.getRtfHelper().kopiereRtfInZwischenablage();
	}
}