/**
 * SchreibeEmailAllgemein.java
 * eu.gronos.kostenrechner.view (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.files;

import java.awt.event.ActionEvent;
import java.awt.event.KeyEvent;

import eu.gronos.kostenrechner.Kostenrechner;
import eu.gronos.kostenrechner.controller.BeschriebeneAktion;

/**
 * emailSchreibenAllgemein lässt eine Beschwerde-E-Mail im
 * Standard-E-Mail-Client über {@link TenorUtils.emailSchreiben(String, String)}
 * schreiben. {@link KeyEvent.VK_E}
 * 
 * @author Peter Schuster (setrok)
 * @date 11 Nov 2018
 *
 */
public class SchreibeEmailAllgemein extends BeschriebeneAktion {
	private static final long serialVersionUID = 618282849118692220L;

	/**
	 * Konstruktor: TODO (kommentieren)
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 */
	public SchreibeEmailAllgemein(String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		final String subject = "Kommentar zu kostentenor.de " + Kostenrechner.KOSTENRECHNER_VERSION;
		final String body = "Mein Kommentar zu Schusters kleinem Kostentenor:\n\n";
		EmailUtils.emailSchreiben(subject, body);
	}
}