/**
 * ForderungNeuAction.java
 * eu.gronos.kostenrechner.view.panel (Kostenrechner)
 */
package eu.gronos.kostenrechner.controller.forderungen;

import java.awt.event.ActionEvent;

import eu.gronos.kostenrechner.controller.BeschriebeneAktion;
import eu.gronos.kostenrechner.model.forderungen.Forderung;
import eu.gronos.kostenrechner.view.forderungen.ForderungHinzufuegen;
import eu.gronos.kostenrechner.view.forderungen.ForderungsStaffelungPanel;

/**
 * Die AbstractAction fügt ein neues Angriffs- oder Verteidigungsmittel zur
 * Tabelle hinzu
 * 
 * @author Peter Schuster (setrok)
 * @version
 * @date 04.11.2018
 *
 */
public class ForderungNeuAction extends BeschriebeneAktion {
	/**
	 * panel speichert TODO (kommentieren) als ForderungNeuAction.
	 */
	private final ForderungsStaffelungPanel panel;
	private static final long serialVersionUID = -25587531439255593L;

	/**
	 * Konstruktor: TODO  (kommentieren) 
	 * 
	 * @param name
	 * @param shortDescription
	 * @param mnemonic
	 * @param actionCommandKey
	 * @param forderungsStaffelungPanel TODO
	 */
	public ForderungNeuAction(ForderungsStaffelungPanel forderungsStaffelungPanel, String name, String shortDescription, int mnemonic, String actionCommandKey) {
		super(name, shortDescription, mnemonic, actionCommandKey);
		panel = forderungsStaffelungPanel;
	}

	@Override
	public void actionPerformed(ActionEvent e) {
		Forderung forderung = new ForderungHinzufuegen(panel.getKostenrechner()).showDialog();
		if (forderung != null)
			panel.ftm.addRow(forderung);
	}
}